"""Material Domain - JSONL Handler"""
from ...datasource import BaseJsonlHandler, JsonlDataSource
from .sync_node import MaterialSyncNode
from schemas.material.material import MaterialResponse


class MaterialJsonlHandler(BaseJsonlHandler):
    """物资 JSONL Handler"""
    def __init__(self, datasource: JsonlDataSource):
        super().__init__(datasource, "material", MaterialSyncNode, MaterialResponse)
